/*
	NXCursor.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import <Foundation/NSObject.h>
#import "NSImage.h"

@interface NSCursor : NSObject
{
    NSPoint             hotSpot;
    struct _csrFlags {
#ifdef __BIG_ENDIAN__
	unsigned int        onMouseExited:1;
	unsigned int        onMouseEntered:1;
	unsigned int        _RESERVED:14;
#else
	unsigned int        _RESERVED:14;
	unsigned int        onMouseEntered:1;
	unsigned int        onMouseExited:1;
#endif
    }                   cFlags;
    id			image;
    unsigned int	_reservedInt;
}

+ pop;
+ currentCursor;
+ (NSCursor *)arrowCursor;
+ (NSCursor *)IBeamCursor;

- init;
- initFromImage:newImage;

- image;
- setImage:newImage;
- setHotSpot:(NSPoint)spot;
- push;
- pop;
- set;
- setOnMouseExited:(BOOL)flag;
- setOnMouseEntered:(BOOL)flag;
- mouseEntered:(NXEvent *)theEvent;
- mouseExited:(NXEvent *)theEvent;

@end
