/*
	TextField.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSControl.h"

@interface NSTextField : NSControl
{
    id                  nextText;
    id                  previousText;
    id                  textDelegate;
    SEL                 errorAction;
    unsigned int        _reservedTFint1;
}

+ setCellClass:factoryId;

- initFrame:(NSRect)frameRect;

- setFrameSize:(NSSize)_newSize;
- setBackgroundGray:(float)value;
- (float)backgroundGray;
- setTextGray:(float)value;
- (float)textGray;
- setBackgroundColor:(NXColor)color;
- (NXColor)backgroundColor;
- setBackgroundTransparent:(BOOL)flag;
- (BOOL)isBackgroundTransparent;
- setTextColor:(NXColor)color;
- (NXColor)textColor;
- drawCellInside:aCell;
- setEnabled:(BOOL)flag;
- (BOOL)isBordered;
- setBordered:(BOOL)flag;
- (BOOL)isBezeled;
- setBezeled:(BOOL)flag;
- (BOOL)isEditable;
- setEditable:(BOOL)flag;
- (BOOL)isSelectable;
- setSelectable:(BOOL)flag;
- setPreviousText:anObject;
- previousText;
- setNextText:anObject;
- nextText;
- mouseDown:(NXEvent *)theEvent;
- (SEL)errorAction;
- setErrorAction:(SEL)aSelector;
- selectText:sender;
- textDelegate;
- setTextDelegate:anObject;
- (BOOL)textShouldEndEditing:textObject;
- textDidEnd:textObject endChar:(unsigned short)whyEnd;
- (BOOL)textShouldBeginEditing:textObject;
- textDidChange:textObject;
- textDidGetKeys:textObject isEmpty:(BOOL)flag;
- (BOOL)acceptsFirstResponder;

@end

#ifdef KANJI
@interface NSTextField(InputManager)
- setIMEnabled:(BOOL)flag;
- (BOOL)isIMEnabled;
@end

@interface NSTextField(IMSupportDelegate)
- (BOOL)textUsesIM:sender;
@end
#endif
