/*
	TextFieldCell.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSActionCell.h"
#import "color.h"

@interface NSTextFieldCell : NSActionCell
{
    float               backgroundGray;
    float               textGray;
    void	        *_private;
}

- initTextCell:(NSString *)aString;

- (BOOL)isOpaque;
- (float)backgroundGray;
- setBezeled:(BOOL)flag;
- setBackgroundGray:(float)value;
- (float)textGray;
- setTextGray:(float)value;
- setBackgroundColor:(NXColor)color;
- (NXColor)backgroundColor;
- setBackgroundTransparent:(BOOL)flag;
- (BOOL)isBackgroundTransparent;
- setTextColor:(NXColor)color;
- (NXColor)textColor;
- drawSelf:(NSRect)cellFrame inView:controlView;
- drawInside:(NSRect)cellFrame inView:controlView;
- setUpFieldEditorAttributes:textObj;
- (BOOL)trackMouse:(NXEvent *)event inRect:(NSRect)aRect ofView:controlView untilMouseUp:(BOOL)untilMouseUp;

@end
